develooper Front page | perl.wxperl.users | Postings from May 2017

[rt.cpan.org #121603] Call to inexistent method SetInnerSize in Wx0.9932

From:
Sakari Kapanen via RT
Date:
May 10, 2017 11:11
Subject:
[rt.cpan.org #121603] Call to inexistent method SetInnerSize in Wx0.9932
Message ID:
rt-4.0.18-7976-1494414650-1282.121603-15-0@rt.cpan.org
Wed May 10 07:10:48 2017: Request 121603 was acted upon.
Transaction: Ticket created by sakari.m.kapanen@gmail.com
       Queue: Wx
     Subject: Call to inexistent method SetInnerSize in Wx 0.9932
   Broken in: (no value)
    Severity: (no value)
       Owner: Nobody
  Requestors: sakari.m.kapanen@gmail.com
      Status: new
 Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=121603 >


Hi,

I'm trying to build Wx 0.9932 against wxgtk 3.0.3 on Arch Linux. The 
Perl version is:
This is perl 5, version 24, subversion 1 (v5.24.1) built for 
x86_64-linux-thread-multi

The build fails with the following message:
Frames.c: In function ‘void 
XS_Wx__PropertySheetDialog_SetInnerSize(PerlInterpreter*, CV*)’:
Frames.c:12881:13: error: ‘class wxPropertySheetDialog’ has no member 
named ‘SetInnerSize’; did you mean ‘SetInnerSizer’?
        THIS->SetInnerSize( sizer );
              ^~~~~~~~~~~~
make: *** [Makefile:450: Frames.o] Error 1

SetInnerSize was renamed to SetInnerSizer in this commit:
https://github.com/wxWidgets/wxWidgets/commit/6b335c8ca440a7adea8309c2272b53aaff59f526

So it seems they actually broke the API compatibility between 3.0.2 and 
3.0.3. I don't know if this should be fixed by wxPerl or wxWidgets.

BR,
Sakari Kapanen



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About